nismkdir(1)

NAME
nismkdir - create NIS+ directories

SYNOPSIS
nismkdir [ -D defaults ] [ -m hostname ] [ -s hostname ]

DESCRIPTION
The nismkdir command creates new NIS+ subdirectories within an existing domain. It can also be used to create replicated directories. Without options, this command will create a subdirectory with the same master and the replicas as its parent directory.

OPTIONS

-D defaults
    Specify a different set of defaults to be used when creating new directories. The defaults string is a series of tokens separated by colons. These tokens represent the default values to be used for the generic object properties The legal tokens are "ttl=time", "owner=ownername", "group=groupname" and "access=rights". For a description of this tokens, look at nisdefaults(1).

-m hostname
    If the directory named by dirname does not exist, then a new directory that is not replicated is created with host hostname as its master server.

    If the directory name by dirname does exist, then the host named by hostname is made its master server.

-s hostname
    Specify that the host hostname will be a replica for an existing directory named dirname.

RETURN VALUES
This command returns 0 if successful and 1 otherwise.

SEE ALSO
nisdefaults(1), nischmod(1), nischttl(1), nisls(1), nisrmdir(1)

AUTHOR
This version of the nismkdir command was written by Thorsten Kukuk <kukuk@vt.uni-paderborn.de>